<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'skynettechnologies',

    /*
     * Package.
     */
    'package'   => 'aioa',

    /*
     * Modules.
     */
    'modules'   => ['aioa'],

    
    'aioa'       => [
        'model' => [
            'model' => \Skynettechnologies\Aioa\Models\Aioa::class,
            'repository' => \Skynettechnologies\Aioa\Repositories\Eloquent\AioaRepository::class,
            'table' => 'aioas',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['icon position'],
            'translatables' => [],
            'upload_folder' => 'aioa/aioa',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Skynettechnologies',
            'package' => 'Aioa',
            'module' => 'Aioa',
        ],
    ],
];
