<?php

namespace Skynettechnologies\Aioa\Seeds;

use DB;
use Illuminate\Database\Seeder;

class AioaTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('aioas')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'aioa.aioa.view',
                'name'      => 'View Aioa',
            ],
            [
                'slug'      => 'aioa.aioa.create',
                'name'      => 'Create Aioa',
            ],
            [
                'slug'      => 'aioa.aioa.edit',
                'name'      => 'Update Aioa',
            ],
            [
                'slug'      => 'aioa.aioa.delete',
                'name'      => 'Delete Aioa',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/aioa/aioa',
                'name'        => 'Aioa',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/aioa/aioa',
                'name'        => 'Aioa',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'aioa',
                'name'        => 'Aioa',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Aioa',
                'module'    => 'Aioa',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'aioa.aioa.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
