<?php

// Web routes  for aioa.

// Guard routes for aioa
Route::prefix('{guard}/aioa')->group(function () {
    Route::resource('aioa', 'AioaResourceController');
});



// Public routes for aioa
Route::get('aioas/', 'AioaPublicController@index');
Route::get('aioa/{slug?}', 'AioaPublicController@show');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for aioa
            Route::prefix('{guard}/aioa')->group(function () {
                Route::resource('aioa', 'AioaResourceController');
            });
            
            

            // Public routes for aioa
            Route::get('aioas/', 'AioaPublicController@index');
            Route::get('aioa/{slug?}', 'AioaPublicController@show');

        }
    );
}